<?php
/**
 * Postmag functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 * @package Postmagthemes
 * @subpackage Postmag
 */
// ************** script function ****************//
function postmag_script_enqueue() {
	wp_enqueue_script( 'bootstrap', get_template_directory_uri() . '/js/bootstrap.js', array( 'jquery' ), '4.1.0', true );
	wp_enqueue_style( 'font-awesome', get_template_directory_uri() . '/fontawesome/css/font-awesome.css', array(), '4.7.0.', 'all' );
	wp_enqueue_script( 'matchHeight', get_template_directory_uri() . '/js/jquery.matchHeight.js', array( 'jquery' ), '1111', true );
	wp_enqueue_style( 'bootstrap', get_template_directory_uri() . '/css/bootstrap.css', array(), '4.2.0', 'all' );
	wp_enqueue_style( 'postmag-style', get_stylesheet_uri() );
	wp_enqueue_style( 'google-font-brand', 'https://fonts.googleapis.com/css?family='.get_theme_mod('brand_font_name'), array(), '' );
	wp_enqueue_style( 'google-font-menu', 'https://fonts.googleapis.com/css?family='.get_theme_mod('menu_font_name'), array(), '' );
	wp_enqueue_style( 'google-font-date', 'https://fonts.googleapis.com/css?family='.get_theme_mod('date_tagline_font_name'), array(), '' );
	wp_enqueue_style( 'google-font-title', 'https://fonts.googleapis.com/css?family='.get_theme_mod('title_font_name'), array(), '' );
	wp_enqueue_style( 'google-font-pragraph', 'https://fonts.googleapis.com/css?family='.get_theme_mod('paragraph_font_name'), array(), '' );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts','postmag_script_enqueue' );

// ************** add theme support ****************//
function postmag_theme_setup() {
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'title-tag' );
	add_theme_support( 'custom-logo', array(
		'height'      => 250,
		'width'       => 250,
	) );
	add_theme_support( 'custom-background' );
	add_theme_support( 'custom-header' );
	add_theme_support( 'post-thumbnails' );
	add_image_size( 'postmag-mythumbnail', 1088, 612, array( 'left','top'));
	add_theme_support( 'post-formats', array( 'image', 'video' ) );
	add_image_size( 'postmag-category-thumb', 356, 200, array( 'left','top') );
	register_nav_menus(
		array(
			'primary' => __( 'Primary Menu', 'postmag' ),
		)
	);
	if ( ! isset( $content_width ) ) {
		$content_width = 850;
	}
}
add_action( 'after_setup_theme', 'postmag_theme_setup' );

//add class nav-link in each href in menu
function postmag_add_menuclass( $ulclass ) {
	return preg_replace( '/<a /', '<a class = "nav-link"', $ulclass );
}
add_filter( 'wp_nav_menu','postmag_add_menuclass' );

//// ADD buy Menu /////

function postmag_theme_settings(){
	$data_array['side-bar']=get_option('scratch_sidebar');
	$data_array['headinglabel']=get_option('scratch_headinglabel');
	if(isset($_POST['submit'])){
		update_option('scratch_sidebar',$_POST['scratch_sidebar']);
		update_option('scratch_headinglabel',$_POST['scratch_headinglabel']);
		$data_array['side-bar']=$_POST['scratch_sidebar'];
		$data_array['headinglabel']=$_POST['scratch_headinglabel'];
	}
	include_once('inc/buypro.php');
}
function my_plugin_menu() {
	add_theme_page('Title postmag', 'Buy Pro', 'edit_theme_options', 'scratch-identifier', 'postmag_theme_settings');
}
add_action('admin_menu', 'my_plugin_menu');


require_once( trailingslashit( get_template_directory() ) . 'inc/sanitize.php' );
require_once( trailingslashit( get_template_directory() ) . 'inc/customize-function-fonts.php' );
require_once( trailingslashit( get_template_directory() ) . 'inc/customize-function-color.php' );
require_once( trailingslashit( get_template_directory() ) . 'inc/customize-function-other.php' );
require_once( trailingslashit( get_template_directory() ) . 'inc/customize-function.php' );
require_once( trailingslashit( get_template_directory() ) . 'inc/customize-fonts.php' );
require_once( trailingslashit( get_template_directory() ) . 'inc/color-luminance.php' );
require_once( trailingslashit( get_template_directory() ) . 'inc/widgets-setup.php' );
require_once( trailingslashit( get_template_directory() ) . 'inc/custom-header.php' );
require_once( trailingslashit( get_template_directory() ) . 'inc/customizer.php' );

// widgets setup
require_once( trailingslashit( get_template_directory() ) . 'inc/widgets/class-postmag-coursel-widget.php' );
require_once( trailingslashit( get_template_directory() ) . 'inc/widgets/class-postmag-cross-widget.php' );
require_once( trailingslashit( get_template_directory() ) . 'inc/widgets/class-postmag-titles-widget.php' );
require_once( trailingslashit( get_template_directory() ) . 'inc/widgets/class-postmag-magazine-widget.php' );
require_once( trailingslashit( get_template_directory() ) . 'inc/widgets/class-postmag-news-widget.php' );
require_once( trailingslashit( get_template_directory() ) . 'inc/widgets/class-postmag-social-widget.php' );
if ( is_admin() ) {
require_once( trailingslashit( get_template_directory() ) . 'inc/ocdi.php' );
require_once( trailingslashit( get_template_directory() ) . 'inc/mytheme/class-import.php' );
require_once( trailingslashit( get_template_directory() ) . 'inc/mytheme/import.php' );
}

if ( ! function_exists( 'postmag_widget_setup' ) ) :
	function postmag_widget_setup() {
		register_widget( 'Postmag_Coursel_Widget' );
		register_widget( 'Postmag_Cross_Widget' );
		register_widget( 'Postmag_Titles_Widget' );
		register_widget( 'Postmag_Magazine_Widget' );
		register_widget( 'Postmag_News_Widget' );
		register_widget( 'Postmag_Social_Widget' );
	}
endif;
add_action( 'widgets_init', 'postmag_widget_setup' );
